## org.eclipse.amp.amf.parameters.ui.labeling
Class AParDescriptionLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.xtext.ui.label.AbstractLabelProvider
                      org.eclipse.xtext.ui.label.DeclarativeLabelProvider
                          org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider
                              org.eclipse.amp.amf.parameters.ui.labeling.AParDescriptionLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class AParDescriptionLabelProvider

extends org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider

Provides labels for a IEObjectDescriptions and IResourceDescriptions. see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#labelProvider

Constructor Summary
`AParDescriptionLabelProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider
`image, image, text, text`

Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider
`doGetImage, doGetText, handleImageError, handleTextError, image, image, text, text`

Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider
`convertToImage, convertToString, convertToStyledString, getDefaultImage, getDefaultStyledText, getDefaultText, getImage, getStyledText, getText, setImageHelper`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### AParDescriptionLabelProvider

    public AParDescriptionLabelProvider()